---
updatedAt: 2026-05-27T05:24:21.000Z
agentTools:
  projectIndex: https://developers.toriihq.com/llms.txt
---

# Update User (PUT)

Update Torii user<p><ul><li>Only active users can be updated.</li><li>The user's <code>userName</code> (email address) cannot be updated.</li><li>To deactivate a user, use <code>active: false</code></li><li>Use the <code>POST</code> method to reactivate inactive users.</li><li>If the user is the last admin in the org, you cannot update his role.</li></p>
<p><ul><li>Rate limit: 200 requests per minute</li></ul></p>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Torii API Documentation",
    "version": "v1.0",
    "description": "The Torii API provides an easy way to integrate your data in Torii with any external system. The API closely follows REST semantics, uses JSON to encode objects, and relies on standard HTTP codes to signal operation outcomes. Torii APIs consist of both proprietary and SCIM 2.0 APIs."
  },
  "x-readme": {
    "explorer-enabled": true
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "tags": [
    {
      "name": "SCIM",
      "description": "<p>Torii API provides a System for Cross-domain Identity Management (SCIM) 2.0 REST API for managing users.</p>\n                          <p>SCIM API endpoint: <code>https://api.toriihq.com/v1.0/scim/v2</code></p>\n                          <p>Example:</p>\n                          <p>Get Users:</p>\n      <code class=\"hljs\">curl -H \"Authorization: Bearer API_KEY\" https://api.toriihq.com/v1.0/scim/v2/Users</code>\n      <small>Enable SCIM API in the <a href=\"https://app.toriihq.com/team/settings/security\">Security</a> page and generate an API key from the <a href=\"https://app.toriihq.com/team/settings/apiAccess\" target=\"_blank\">API Access</a> page. <br>See <a href=\"https://support.toriihq.com/hc/en-us/articles/9183460072347\">SCIM help article</a> for more information.</small>\n        "
    }
  ],
  "paths": {
    "/scim/v2/Users/{idUser}": {
      "put": {
        "summary": "Update User (PUT)",
        "operationId": "putScimV2UsersIduser",
        "description": "Update Torii user<p><ul><li>Only active users can be updated.</li><li>The user's <code>userName</code> (email address) cannot be updated.</li><li>To deactivate a user, use <code>active: false</code></li><li>Use the <code>POST</code> method to reactivate inactive users.</li><li>If the user is the last admin in the org, you cannot update his role.</li></p>\n<p><ul><li>Rate limit: 200 requests per minute</li></ul></p>",
        "parameters": [
          {
            "description": "Unique user identifier",
            "name": "idUser",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "minimum": 1
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SCIMUpdateUser"
              }
            }
          }
        },
        "tags": [
          "SCIM"
        ],
        "responses": {
          "200": {
            "description": "SCIM user schema",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/SCIMUser"
                }
              }
            }
          }
        }
      }
    }
  },
  "x-alt-definitions": {
    "Model1": {
      "type": "object",
      "properties": {
        "key": {
          "type": "string",
          "x-alternatives": [
            {
              "type": "string"
            },
            {
              "type": "number"
            }
          ]
        },
        "value": {
          "type": "number"
        },
        "groupCount": {
          "type": "integer"
        },
        "aggregations": {
          "type": "string",
          "description": "Nested aggregations with the same structure as the parent"
        }
      },
      "required": [
        "key"
      ]
    },
    "aggregations": {
      "type": "array",
      "items": {
        "$ref": "#/x-alt-definitions/Model1"
      }
    },
    "type": {
      "type": "string",
      "enum": [
        "create_workflow",
        "delete_workflow",
        "duplicate_workflow",
        "update_workflow",
        "restore_workflow_version",
        "workflow_triggered_manually",
        "create_app_approval_requested_workflow",
        "update_app_approval_requested_workflow",
        "delete_app_approval_requested_workflow",
        "create_request_access_workflow",
        "create_temporary_access_expired_workflow",
        "complete_task_approval_request",
        "complete_send_application_form_task",
        "complete_send_contract_form_task",
        "cancel_task",
        "bulk_cancel_tasks",
        "update_task_notification_settings",
        "update_task_escalation_settings",
        "update_task_assignees",
        "get_tasks_as_csv",
        "complete_policy_deviation_task",
        "complete_custom_task",
        "create_campaign",
        "update_campaign",
        "delete_campaign",
        "archive_campaign_execution",
        "conclude_campaign_execution",
        "create_contract",
        "create_contract_field_in_group",
        "create_contract_fields_group",
        "delete_contract",
        "delete_contract_field",
        "delete_contracts",
        "import_contracts",
        "update_contract",
        "update_contract_field_info",
        "update_contract_group_info",
        "update_contracts",
        "reorder_contract_details_groups",
        "reorder_contract_details_fields",
        "delete_contract_form_group",
        "get_contracts_as_csv",
        "create_contract_from_email",
        "create_contract_from_bulk_upload",
        "create_user_in_organization",
        "update_user",
        "update_user_lifecycle_status",
        "update_user_form_details",
        "get_app_users_as_csv",
        "scim_create_user",
        "scim_update_user",
        "scim_delete_user",
        "scim_patch_user",
        "sync_manually_imported_users",
        "delete_manually_imported_users",
        "import_users",
        "update_mapping_and_import_users",
        "delete_manually_imported_licenses_for_app_account",
        "get_apps_users_as_csv",
        "add_app_from_catalog",
        "add_custom_app",
        "create_custom_app_token",
        "delete_app_details",
        "delete_chargeback",
        "edit_app",
        "update_app_details",
        "update_app_details_file",
        "update_app_is_hidden",
        "update_apps_details",
        "update_chargeback",
        "update_cost_allocation_rule",
        "apply_cost_allocation",
        "cost_allocation_update_now",
        "undiscover_app_self_serve",
        "get_apps_as_csv",
        "delete_field",
        "create_field_in_group",
        "create_new_app_form_group",
        "delete_app_form_group",
        "reorder_app_form_groups",
        "reorder_app_form_fields",
        "update_field_info",
        "update_group_info",
        "copy_app_data",
        "try_match_apps",
        "bulk_insert_transactions",
        "parse_existing_upload_for_expenses",
        "parse_manually",
        "update_transaction",
        "create_org_matching_rule",
        "delete_org_matching_rule",
        "update_org_matching_rule",
        "create_org_excluded_term",
        "delete_org_excluded_term",
        "update_org_excluded_term",
        "update_org_matching_rules",
        "get_transactions_as_csv",
        "apply_lifecycle_settings",
        "create_org_saml",
        "create_public_api_key",
        "delete_org_saml",
        "create_org_saml_by_source",
        "delete_public_api_key",
        "update_is_scim_enabled",
        "update_org_offboarding_properties",
        "update_org_properties",
        "update_org_saml",
        "upload_org_logo",
        "upload_org_image",
        "create_org_secret",
        "delete_org_secret",
        "update_org_secret_value",
        "delete_logo_type",
        "update_org_isToriiSupportAllowedForOrg",
        "update_extension_settings",
        "create_role",
        "delete_role",
        "update_role",
        "create_auth_token_after_test_connection",
        "invite_member",
        "login",
        "login_failed",
        "signup_as_new_user",
        "update_entity_permissions",
        "add_entity_access_link",
        "update_entity_access_link",
        "create_ai_dashboards_guest_link",
        "delete_ai_dashboards_guest_link",
        "call_run_sync",
        "sync_custom_integration",
        "sync_gluu_custom_integration",
        "update_app_account",
        "connect_",
        "generate_instant_access_url_for_service_connection_delegate",
        "create_auth_token",
        "delete_auth_token",
        "bulk_update_licenses_price",
        "bulk_update_app_licenses",
        "update_license_price",
        "upload",
        "create_upload",
        "delete_upload",
        "update_org_labs_feature",
        "create_test_connection",
        "update_org_catalog_properties",
        "trigger_app_access_request_policy",
        "bulk_trigger_app_access_request_policies",
        "create_plugin",
        "update_plugin",
        "delete_plugin",
        "install_plugin",
        "uninstall_plugin",
        "plugin_generate_api_key",
        "create_merge_users_rule",
        "update_merge_users_rule",
        "delete_merge_users_rule",
        "create_sending_domain",
        "delete_sending_domain",
        "verify_sending_domain",
        "set_sending_domain_default_sender",
        "send_sending_domain_test_email",
        "clear_sending_domain_default_sender",
        "create_anonymize_request",
        "create_report",
        "delete_report",
        "update_report",
        "get_app_users_for_renewal_forecast",
        "get_renewal_forecast_csv",
        "create_dashboard",
        "update_dashboard",
        "delete_dashboard",
        "update_workflow_action_savings_rate",
        "create_access_request_definition",
        "update_access_request_definition",
        "delete_access_request_definition",
        "trigger_access_request_profile",
        "trigger_access_request_policy_on_behalf",
        "bulk_trigger_access_request_policies_on_behalf",
        "mark_access_request_as_completed",
        "cancel_access_request",
        "decide_access_request_approval_step",
        "create_access_policy",
        "update_access_policy",
        "delete_access_policy",
        "evaluate_access_policy_manually",
        "update_access_policy_settings",
        "remediate_policy_deviation",
        "create_user_group",
        "update_user_group",
        "delete_user_group"
      ]
    },
    "enabledTypes": {
      "type": "object"
    },
    "Model2": {
      "type": "object",
      "properties": {
        "personalData": {
          "type": "boolean"
        },
        "creditCard": {
          "type": "boolean"
        },
        "credentials": {
          "type": "boolean"
        }
      },
      "required": [
        "personalData",
        "creditCard",
        "credentials"
      ]
    },
    "op": {
      "type": "object"
    },
    "value": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "Model3": {
      "type": "object",
      "properties": {
        "id": {
          "type": "number"
        },
        "op": {
          "type": "string",
          "x-alternatives": [
            {
              "type": "string"
            },
            {
              "$ref": "#/x-alt-definitions/op"
            }
          ]
        },
        "value": {
          "$ref": "#/components/schemas/Model28"
        },
        "key": {
          "type": "string",
          "x-alternatives": [
            {
              "type": "string"
            },
            {
              "$ref": "#/x-alt-definitions/op"
            }
          ]
        }
      }
    },
    "filters": {
      "type": "array",
      "items": {
        "$ref": "#/x-alt-definitions/Model3"
      }
    },
    "Model4": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "filters": {
          "$ref": "#/x-alt-definitions/filters"
        }
      },
      "required": [
        "id",
        "filters"
      ]
    },
    "usersFilter": {
      "type": "array",
      "items": {
        "$ref": "#/x-alt-definitions/Model4"
      }
    },
    "Model5": {
      "type": "array",
      "items": {
        "$ref": "#/x-alt-definitions/Model3"
      }
    },
    "CurrencyValue": {
      "type": "object",
      "properties": {
        "value": {
          "type": "integer",
          "description": "Amount in smallest currency unit (e.g. cents)"
        },
        "currency": {
          "type": "string",
          "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
        }
      },
      "required": [
        "value",
        "currency"
      ]
    },
    "Model6": {
      "type": "array",
      "maxItems": 100,
      "items": {
        "$ref": "#/x-alt-definitions/Model3"
      }
    },
    "Model7": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "filters": {
          "$ref": "#/x-alt-definitions/Model6"
        }
      },
      "required": [
        "id",
        "filters"
      ]
    },
    "Model8": {
      "type": "array",
      "maxItems": 100,
      "items": {
        "$ref": "#/x-alt-definitions/Model7"
      }
    },
    "Model9": {
      "type": "array",
      "maxItems": 100,
      "items": {
        "$ref": "#/x-alt-definitions/Model3"
      }
    }
  },
  "servers": [
    {
      "url": "https://api.toriihq.com/v1.0"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    },
    "schemas": {
      "Model57": {
        "type": "string",
        "enum": [
          "urn:ietf:params:scim:schemas:core:2.0:User"
        ]
      },
      "Model58": {
        "type": "array",
        "description": "An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.",
        "example": [
          [
            "urn:ietf:params:scim:schemas:core:2.0:User"
          ]
        ],
        "items": {
          "$ref": "#/components/schemas/Model57"
        }
      },
      "SCIMNameSchema": {
        "type": "object",
        "description": "The components of the user's real name.",
        "properties": {
          "familyName": {
            "type": "string",
            "description": "The user's family name.",
            "example": "Stark"
          },
          "givenName": {
            "type": "string",
            "description": "The user's given name.",
            "example": "Tony"
          }
        }
      },
      "SCIMEmail": {
        "type": "object",
        "properties": {
          "primary": {
            "type": "boolean",
            "example": true
          },
          "value": {
            "type": "string",
            "example": "tony@stark.com",
            "x-convert": {
              "case": "lower"
            }
          }
        },
        "required": [
          "value"
        ]
      },
      "SCIMEmailsSchema": {
        "type": "array",
        "description": "The user's email addresses. Cannot be changed after the user is created",
        "items": {
          "$ref": "#/components/schemas/SCIMEmail"
        }
      },
      "SCIMMetaSchema": {
        "type": "object",
        "properties": {
          "created": {
            "type": "string",
            "description": "The user's creation time.",
            "example": "2022-01-01T00:00:00.000Z"
          }
        }
      },
      "SCIMUser": {
        "type": "object",
        "description": "SCIM user schema",
        "properties": {
          "schemas": {
            "$ref": "#/components/schemas/Model58"
          },
          "id": {
            "type": "string",
            "description": "The user's ID in Torii",
            "example": "1234"
          },
          "userName": {
            "type": "string",
            "description": "Must be an email address. Cannot be changed after the user is created.",
            "example": "tony@stark.com"
          },
          "name": {
            "$ref": "#/components/schemas/SCIMNameSchema"
          },
          "active": {
            "type": "boolean",
            "description": "A Boolean value indicating the User's administrative status.",
            "example": true
          },
          "emails": {
            "$ref": "#/components/schemas/SCIMEmailsSchema"
          },
          "userType": {
            "type": "string",
            "description": "The role of the user in Torii.",
            "example": "Admin"
          },
          "meta": {
            "$ref": "#/components/schemas/SCIMMetaSchema"
          }
        },
        "required": [
          "schemas"
        ]
      },
      "Model94": {
        "type": "string",
        "enum": [
          "urn:ietf:params:scim:schemas:core:2.0:User"
        ]
      },
      "Model95": {
        "type": "array",
        "description": "An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.",
        "example": [
          [
            "urn:ietf:params:scim:schemas:core:2.0:User"
          ]
        ],
        "items": {
          "$ref": "#/components/schemas/Model94"
        }
      },
      "SCIMUpdateUser": {
        "type": "object",
        "description": "SCIM update user schema",
        "properties": {
          "schemas": {
            "$ref": "#/components/schemas/Model95"
          },
          "id": {
            "type": "number",
            "description": "The user's ID in Torii",
            "example": 1234
          },
          "userName": {
            "type": "string",
            "description": "The user's email address.",
            "example": "tony@stark.com",
            "x-format": {
              "email": {
                "tlds": false
              }
            }
          },
          "userType": {
            "type": "string",
            "description": "The role of the user in Torii. The role will not change if this parameter is not passed.<br>Must be a valid Torii role name or custom role name (e.g. \"Admin\", \"Read Only\", etc.)",
            "example": "Admin"
          },
          "active": {
            "type": "boolean",
            "description": "If <b>active: false</b>, the user will be deactivated.",
            "example": true
          }
        },
        "required": [
          "schemas",
          "userName"
        ]
      }
    }
  }
}
```